Skip to main content

PUT /settings/transaction-types/\{id\}

PUT 

/settings/transaction-types/:id

PUT /settings/transaction-types/{id}

Request​

Path Parameters

    id int64required

Body

    id int32
    type stringrequired

    Possible values: non-empty

    currency stringnullable
    code stringnullable
    name stringrequired

    Possible values: non-empty

    rec_no_mode stringnullable
    gl_account_id int64nullable
    counter_id int32nullable
    secondary_counter_id int32nullable
    associated_payment_cards string[]nullable

Responses​

OK

Schema

    id int32
    type stringrequired

    Possible values: non-empty

    currency stringnullable
    code stringnullable
    name stringrequired

    Possible values: non-empty

    rec_no_mode stringnullable
    gl_account_id int64nullable
    counter_id int32nullable
    secondary_counter_id int32nullable
    associated_payment_cards string[]nullable
Loading...